Loading...
Searching...
No Matches
ColumnExtras Class Reference
Collaboration diagram for ColumnExtras:
[legend]

## Public Member Functions

| ColumnExtras (ColumnExtras &original)
void | SetLabel (const char *name)
void | SetPrecision (int p)
void | SetWidth (int w)
int | GetWidth ()
int | GetPrecision ()
ColumnExtras & | operator= (ColumnExtras &rhs)
void | Swap (ColumnExtras &rhs)

## Public Attributes

String | label

## Detailed Description

Definition at line 26 of file MathMatrix.h.

## Constructor & Destructor Documentation

## ColumnExtras() [1/2]

ColumnExtras::ColumnExtras | ( |  | ) |

inline

Definition at line 38 of file MathMatrix.h.

{
Init();
}

## ColumnExtras() [2/2]

ColumnExtras::ColumnExtras | ( | ColumnExtras & | original | ) |

inline

Definition at line 42 of file MathMatrix.h.

{
Init();
Copy(original);
}

## ~ColumnExtras()

ColumnExtras::~ColumnExtras | ( |  | ) |

Definition at line 429 of file MathMatrix.cpp.

{ }

## Member Function Documentation

## GetPrecision()

int ColumnExtras::GetPrecision | ( |  | ) |

inline

Definition at line 62 of file MathMatrix.h.

{
return precision;
}

## GetWidth()

int ColumnExtras::GetWidth | ( |  | ) |

Definition at line 437 of file MathMatrix.cpp.

{
if (dirty)
{
if (precision + 2 > width)
width = precision + 2;
if (label.Length() > width)
width = label.Length();
dirty = false;
}
return width;
}

## operator=()

ColumnExtras & ColumnExtras::operator= | ( | ColumnExtras & | rhs | ) |

inline

Definition at line 67 of file MathMatrix.h.

{
Copy(rhs);
return (*this);
}

## SetLabel()

void ColumnExtras::SetLabel | ( | const char * | name | ) |

Definition at line 432 of file MathMatrix.cpp.

{
label = name;
}

## SetPrecision()

void ColumnExtras::SetPrecision | ( | int | p | ) |

inline

Definition at line 50 of file MathMatrix.h.

{
precision = p;
dirty = true;
}

## SetWidth()

void ColumnExtras::SetWidth | ( | int | w | ) |

inline

Definition at line 55 of file MathMatrix.h.

{
width = w;
dirty = true;
}

## Swap()

void ColumnExtras::Swap | ( | ColumnExtras & | rhs | ) |

Definition at line 461 of file MathMatrix.cpp.

{
SWAP(c.width, width);
SWAP(c.precision, precision);
SWAPBOOL(c.dirty, dirty);
c.label.Swap(label);
}

## Member Data Documentation

## label

String ColumnExtras::label

Definition at line 36 of file MathMatrix.h.

The documentation for this class was generated from the following files:

- general/MathMatrix.h
- general/MathMatrix.cpp